{% extends "main/base.html" %}

{% block titulo %}Detalhes da Enquete {{ pergunta.id }}{% endblock %}

{% block conteudo %}
    <u>Pergunta</u>: {{ pergunta.texto }}<br/>
    <u>Data de Publicação</u>: {{ pergunta.data_publicacao }}<br/>
    <u>Usuário</u>: <a href="{% url 'main:enquetes_autor' pergunta.autor.id %}">
    <b>{{ pergunta.autor.pseudonimo }}</b></a>
    (<i>{{ pergunta.autor.usuario.email }}</i>)
    {% if error_message %}
        <hr/>
        <strong>{{ error_message }}</strong>
        <hr/>
    {% endif %}
    <form action="{% url 'main:votacao' pergunta.id %}" method="post">
        {% csrf_token %}
        <ul>
            {% for opcao in pergunta.opcao_set.all %}
            <li><input type="radio" name="opcao"
                    id="opcao{{ forloop.counter }}" value="{{ opcao.id }}">
                <label for="opcao{{ forloop.counter }}">
                    {{ opcao.texto }}
                </label>
            </li>
            {% endfor %}
        </ul>
        <input type="submit" value="Registre o seu Voto">
    </form>
{% endblock %}